org.apache.lucene.codecs.appending

## Class AppendingCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.appending.AppendingCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

Deprecated.
This codec is read-only: as the functionality has been folded into the default codec. Its only for convenience to read old segments.

    @Deprecated
    public class AppendingCodec
    extends FilterCodec

This codec uses an index format that is very similar to `Lucene40Codec` but works on append-only outputs, such as plain output streams and append-only filesystems.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.FilterCodec

`delegate`

### Constructor Summary

Constructors
Constructor and Description
`AppendingCodec()` Deprecated.

### Method Summary

Methods
`PostingsFormat` `postingsFormat()` Deprecated.

### Methods inherited from class org.apache.lucene.codecs.FilterCodec

`docValuesFormat, fieldInfosFormat, liveDocsFormat, normsFormat, segmentInfoFormat, storedFieldsFormat, termVectorsFormat`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AppendingCodec

    public AppendingCodec()

Deprecated.

### Method Detail

#### postingsFormat

    public PostingsFormat postingsFormat()

Deprecated.

Overrides:
  `postingsFormat` in class `FilterCodec`